Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class SVGInputHandler

    java.lang.Object
      org.apache.batik.apps.svgbrowser.SVGInputHandler

All Implemented Interfaces:
  SquiggleInputHandler

    public class SVGInputHandler

extends Object
implements SquiggleInputHandler

This implementation of the `SquiggleInputHandler` class simply displays an SVG file into the JSVGCanvas.

Field Summary
`static String[]` | `SVG_FILE_EXTENSIONS`
`static String[]` | `SVG_MIME_TYPES`

Constructor Summary
`SVGInputHandler()`

Method Summary
`boolean` | `accept(File f)` Returns true if the input file can be handled.
`boolean` | `accept(ParsedURL purl)` Returns true if the input URI can be handled by the handler
`boolean` | `accept(String path)` Returns true if the resource at the given path can be handled
`String` | `getDescription()` Returns a description for this handler.
`String[]` | `getHandledExtensions()` Returns the list of file extensions handled by this handler
`String[]` | `getHandledMimeTypes()` Returns the list of mime types handled by this handler.
`void` | `handle(ParsedURL purl, JSVGViewerFrame svgViewerFrame)` Handles the given input for the given JSVGViewerFrame

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG_MIME_TYPES

    public static final String[] SVG_MIME_TYPES

### SVG_FILE_EXTENSIONS

    public static final String[] SVG_FILE_EXTENSIONS

Constructor Detail

### SVGInputHandler

    public SVGInputHandler()

Method Detail

### getHandledMimeTypes

    public String[] getHandledMimeTypes()

  Returns the list of mime types handled by this handler.

  Specified by:
    `getHandledMimeTypes` in interface `SquiggleInputHandler`

### getHandledExtensions

    public String[] getHandledExtensions()

  Returns the list of file extensions handled by this handler

  Specified by:
    `getHandledExtensions` in interface `SquiggleInputHandler`

### getDescription

    public String getDescription()

  Returns a description for this handler.

  Specified by:
    `getDescription` in interface `SquiggleInputHandler`

### handle

    public void handle(ParsedURL purl,
                       JSVGViewerFrame svgViewerFrame)

  Handles the given input for the given JSVGViewerFrame

  Specified by:
    `handle` in interface `SquiggleInputHandler`

### accept

    public boolean accept(File f)

  Returns true if the input file can be handled.

  Specified by:
    `accept` in interface `SquiggleInputHandler`

### accept

    public boolean accept(ParsedURL purl)

  Returns true if the input URI can be handled by the handler

  Specified by:
    `accept` in interface `SquiggleInputHandler`
  Parameters:
    `purl` - URL describing the candidate input

### accept

    public boolean accept(String path)

  Returns true if the resource at the given path can be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.